Ogre::WindowEventUtilities Class Reference
RenderSystem

`#include <OgreWindowEventUtilities.h>`

List of all members.

## Public Types

typedef multimap< RenderWindow *, WindowEventListener * > ::type | WindowEventListeners
typedef vector< RenderWindow * > ::type | Windows

## Static Public Member Functions

static void | messagePump ()
static void | addWindowEventListener (RenderWindow *window, WindowEventListener *listener)
static void | removeWindowEventListener (RenderWindow *window, WindowEventListener *listener)
static void | _addRenderWindow (RenderWindow *window)
static void | _removeRenderWindow (RenderWindow *window)

## Static Public Attributes

static WindowEventListeners | _msListeners
static Windows | _msWindows

## Detailed Description

Remarks:
  Utility class to handle Window Events/Pumping/Messages

Definition at line 120 of file OgreWindowEventUtilities.h.

## Member Typedef Documentation

typedef multimap<RenderWindow*, WindowEventListener*>::type Ogre::WindowEventUtilities::WindowEventListeners

Definition at line 179 of file OgreWindowEventUtilities.h.

typedef vector<RenderWindow*>::type Ogre::WindowEventUtilities::Windows

Definition at line 182 of file OgreWindowEventUtilities.h.

## Member Function Documentation

static void Ogre::WindowEventUtilities::_addRenderWindow | ( | RenderWindow * | window | ) | `[static]`

Remarks:
  Called by RenderWindows upon creation for Ogre generated windows. You are free to add your external windows here too if needed.

Parameters:

  window | The RenderWindow to monitor

static void Ogre::WindowEventUtilities::_removeRenderWindow | ( | RenderWindow * | window | ) | `[static]`

Remarks:
  Called by RenderWindows upon creation for Ogre generated windows. You are free to add your external windows here too if needed.

Parameters:

  window | The RenderWindow to remove from list

static void Ogre::WindowEventUtilities::addWindowEventListener | ( | RenderWindow * | window,
|  | WindowEventListener * | listener
| ) |  | `[static]`

Remarks:
  Add a listener to listen to renderwindow events (multiple listener's per renderwindow is fine) The same listener can listen to multiple windows, as the Window Pointer is sent along with any messages.

Parameters:

  window | The RenderWindow you are interested in monitoring
  listner | Your callback listener

static void Ogre::WindowEventUtilities::messagePump | ( |  | ) | `[static]`

Remarks:
  Call this once per frame if not using Root:startRendering(). This will update all registered RenderWindows (If using external Windows, you can optionally register those yourself)

static void Ogre::WindowEventUtilities::removeWindowEventListener | ( | RenderWindow * | window,
|  | WindowEventListener * | listener
| ) |  | `[static]`

Remarks:
  Remove previously added listener

Parameters:

  window | The RenderWindow you registered with
  listner | The listener registered

## Member Data Documentation

WindowEventListeners Ogre::WindowEventUtilities::_msListeners`[static]`

Definition at line 180 of file OgreWindowEventUtilities.h.

Windows Ogre::WindowEventUtilities::_msWindows`[static]`

Definition at line 183 of file OgreWindowEventUtilities.h.

The documentation for this class was generated from the following file:

- OgreWindowEventUtilities.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:42